# Created by pyp2rpm-3.3.5
%global pypi_name backports-tempfile

Name:           python-%{pypi_name}
Version:        1.0
Release:        %mkrel 3
Summary:        Backport of new features in Python's tempfile module
Group:          Development/Python
License:        Python Software Foundation License
URL:            https://github.com/pjdelport/backports.tempfile
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/backports.tempfile-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

BuildRequires:  python3-devel

%description
This package provides backports of new features in Python’s tempfile module
under the backports namespace.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(backports.weakref)
%description -n python3-%{pypi_name}
This package provides backports of new features in Python’s tempfile module
under the backports namespace.


%prep
%autosetup -n backports.tempfile-%{version}

%build
%py3_build

%install
%py3_install


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/backports
%{python3_sitelib}/backports.tempfile*.egg-info


%changelog
* Sun Mar 02 2025 wally <wally> 1.0-3.mga10
+ Revision: 2156823
- rebuild for python3.13

* Sat Jan 20 2024 papoteur <papoteur> 1.0-2.mga10
+ Revision: 2032360
- rebuild for python 3.12

* Fri Feb 10 2023 papoteur <papoteur> 1.0-1.mga9
+ Revision: 1939992
- move back from pyproject
- imported package python-backports-tempfile

